import sas_pygame as sas

def main():
    view = sas.createView(MAXHEIGHT,MAXHEIGHT, "black", "Sonnensystem")
    sonne = sas.Circle (225,225,25,"yellow");
    erde = sas.Circle (307, 242,6,"blue");
    jupiter = sas.Circle(120,235,15,"orange");
    saturn = sas.Circle(395,237,12,"green");
    merkur = sas.Circle(212,245,3,"gray"); 
    venus = sas.Circle (290, 246,7,"red");
    mars = sas.Circle(330,245,5,"magenta");
    uranus = sas.Circle(52,237,12,"pink");
    neptun = sas.Circle (27,240,1,"purple");
 
    while not view.keyPressed() and view.running:
        view.step()
        erde.turn(sonne.getCenterX(),sonne.getCenterY(),1 );
        jupiter.turn( sonne.getCenterX(),sonne.getCenterY(),2);
        saturn.turn(sonne.getCenterX(),sonne.getCenterY(),3);
        merkur.turn(sonne.getCenterX(),sonne.getCenterY(),-1);
        venus.turn(sonne.getCenterX(),sonne.getCenterY(),2);
        mars.turn(sonne.getCenterX(),sonne.getCenterY(),-2);
        uranus.turn(sonne.getCenterX(),sonne.getCenterY(),2);
        neptun.turn(sonne.getCenterX(),sonne.getCenterY(),-3);


    view.quit()

main()